Show / Hide Table of Contents

# Class OpenIddictConstants.ClientAuthenticationMethods

##### Inheritance

System.Object
OpenIddictConstants.ClientAuthenticationMethods

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: OpenIddict.Abstractions

###### Assembly: cs.temp.dll.dll

##### Syntax

    public static class ClientAuthenticationMethods

### Fields

#### ClientSecretBasic

##### Declaration

    public const string ClientSecretBasic = "client_secret_basic"

##### Field Value

Type | Description
--- | ---
System.String |

#### ClientSecretPost

##### Declaration

    public const string ClientSecretPost = "client_secret_post"

##### Field Value

Type | Description
--- | ---
System.String |